Tcl_MainLoop(3)

NAME
Tcl_MainLoop - loop for events until there is no more work to do.

SYNOPSIS
#include <tcl.h>

Tcl_MainLoop()

DESCRIPTION

Tcl_MainLoop is a procedure that loops repeatedly calling Tcl_DoOneEvent. It returns only when there is no work to be done any more (i.e. no main windows exist anymore). Any application that consists entirely of callbacks invoked via Tcl_DoOneEvent only has to call Tcl_MainLoop after initialization. The notifier will take care that the application exits automatically when there is nothing to be done any more.

KEYWORDS
application, event, main loop